NetworkMetrics (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: NetworkMetrics

Package org.apache.geode.management

# Class NetworkMetrics

java.lang.Object
org.apache.geode.management.NetworkMetrics

public class NetworkMetrics extends Object
Composite data type used to distribute network related metrics for a member.

Since:
  GemFire 7.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkMetrics()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getBytesReceivedRate()`
  Returns the average number of bytes per second received.
  `float`
  `getBytesSentRate()`
  Returns the average number of bytes per second sent.
  `void`
  `setBytesReceivedRate(float bytesReceivedRate)`
  Sets the average number of bytes per second received.
  `void`
  `setBytesSentRate(float bytesSentRate)`
  Sets the average number of bytes per second sent.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NetworkMetrics

    public NetworkMetrics()

- ## Method Details

  - ### getBytesReceivedRate

    public float getBytesReceivedRate()
    Returns the average number of bytes per second received.
    Returns:
      the average number of bytes per second received

  - ### getBytesSentRate

    public float getBytesSentRate()
    Returns the average number of bytes per second sent.
    Returns:
      the average number of bytes per second sent

  - ### setBytesReceivedRate

    public void setBytesReceivedRate(float bytesReceivedRate)
    Sets the average number of bytes per second received.
    Parameters:
      `bytesReceivedRate` - the average number of bytes per second received

  - ### setBytesSentRate

    public void setBytesSentRate(float bytesSentRate)
    Sets the average number of bytes per second sent.
    Parameters:
      `bytesSentRate` - the average number of bytes per second sent